package net.saltymc.eaa.util.io;

import net.saltymc.eaa.EaaMod;

import java.io.FileReader;
import java.io.FileWriter;
import java.util.Properties;

public class PropertieLoader {

    public static Properties loadProperties(String fileName){
        Properties p = new Properties();

        try (FileReader reader = new FileReader(System.getProperty("user.dir") + "/mods/" + fileName)){
            p.load(reader);
        } catch (Exception e){
            try (FileWriter writer = new FileWriter(System.getProperty("user.dir") + "/mods/" + fileName)) {
                p.store(writer, "init config file");
            } catch (Exception ex){
                EaaMod.getLogger().error("Cant save Properties" + fileName, e);
            }
            return  loadProperties(fileName);
        }
        return p;
    }
}